<a id="types-aiobotocore-lightsail"></a>

# types-aiobotocore-lightsail

[![PyPI - types-aiobotocore-lightsail](https://img.shields.io/pypi/v/types-aiobotocore-lightsail.svg?color=blue)](https://pypi.org/project/types-aiobotocore-lightsail)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-lightsail.svg?color=blue)](https://pypi.org/project/types-aiobotocore-lightsail)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-lightsail?color=blue)](https://pypistats.org/packages/types-aiobotocore-lightsail)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[aiobotocore.Lightsail 2.1.1](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/lightsail.html#Lightsail)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 7.1.1](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[types-aiobotocore](https://pypi.org/project/types-aiobotocore/) page and in
[types-aiobotocore-lightsail docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_lightsail/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/main/demo.gif)

- [types-aiobotocore-lightsail](#types-aiobotocore-lightsail)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [How to uninstall](#how-to-uninstall)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Emacs](#emacs)
    - [Sublime Text](#sublime-text)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `Lightsail`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `Lightsail` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[lightsail]'


# Lite version does not provide session.client/resource overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[lightsail]'


# standalone installation
python -m pip install types-aiobotocore-lightsail
```

<a id="how-to-uninstall"></a>

## How to uninstall

```bash
python -m pip uninstall -y types-aiobotocore-lightsail
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[lightsail]` in your environment:

```bash
python -m pip install 'types-aiobotocore[lightsail]'
```

Both type checking and code completion should now work. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pycharm"></a>

### PyCharm

Install `types-aiobotocore-lite[lightsail]` in your environment:

```bash
python -m pip install 'types-aiobotocore-lite[lightsail]'`
```

Both type checking and code completion should now work. Explicit type
annotations **are required**.

Use `types-aiobotocore` package instead for implicit type discovery.

<a id="emacs"></a>

### Emacs

- Install `types-aiobotocore` with services you use in your environment:

```bash
python -m pip install 'types-aiobotocore[lightsail]'
```

- Install [use-package](https://github.com/jwiegley/use-package),
  [lsp](https://github.com/emacs-lsp/lsp-mode/),
  [company](https://github.com/company-mode/company-mode) and
  [flycheck](https://github.com/flycheck/flycheck) packages
- Install [lsp-pyright](https://github.com/emacs-lsp/lsp-pyright) package

```elisp
(use-package lsp-pyright
  :ensure t
  :hook (python-mode . (lambda ()
                          (require 'lsp-pyright)
                          (lsp)))  ; or lsp-deferred
  :init (when (executable-find "python3")
          (setq lsp-pyright-python-executable-cmd "python3"))
  )
```

- Make sure emacs uses the environment where you have installed
  `types-aiobotocore`

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="sublime-text"></a>

### Sublime Text

- Install `types-aiobotocore[lightsail]` with services you use in your
  environment:

```bash
python -m pip install 'types-aiobotocore[lightsail]'
```

- Install [LSP-pyright](https://github.com/sublimelsp/LSP-pyright) package

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[lightsail]` in your environment:

```bash
python -m pip install 'types-aiobotocore[lightsail]'`
```

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `npm i -g pyright`
- Install `types-aiobotocore[lightsail]` in your environment:

```bash
python -m pip install 'types-aiobotocore[lightsail]'
```

Optionally, you can install `types-aiobotocore` to `typings` folder.

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`LightsailClient` provides annotations for
`session.create_client("lightsail")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_lightsail import LightsailClient

session = get_session()
async with session.create_client("lightsail") as client:
    client: LightsailClient
    # now client usage is checked by mypy and IDE should provide code completion
```

<a id="paginators-annotations"></a>

### Paginators annotations

`types_aiobotocore_lightsail.paginator` module contains type annotations for
all paginators.

````python
from aiobotocore.session import get_session

from types_aiobotocore_lightsail import LightsailClient
from types_aiobotocore_lightsail.paginator import (
    GetActiveNamesPaginator,
    GetBlueprintsPaginator,
    GetBundlesPaginator,
    GetCloudFormationStackRecordsPaginator,
    GetDiskSnapshotsPaginator,
    GetDisksPaginator,
    GetDomainsPaginator,
    GetExportSnapshotRecordsPaginator,
    GetInstanceSnapshotsPaginator,
    GetInstancesPaginator,
    GetKeyPairsPaginator,
    GetLoadBalancersPaginator,
    GetOperationsPaginator,
    GetRelationalDatabaseBlueprintsPaginator,
    GetRelationalDatabaseBundlesPaginator,
    GetRelationalDatabaseEventsPaginator,
    GetRelationalDatabaseParametersPaginator,
    GetRelationalDatabaseSnapshotsPaginator,
    GetRelationalDatabasesPaginator,
    GetStaticIpsPaginator,
)

session = get_session()
async with session.create_client("lightsail") as client:
    client: LightsailClient

    # Explicit type annotations are optional here
    # Type should be correctly discovered by mypy and IDEs
    # VSCode requires explicit type annotations
        get_active_names_paginator: GetActiveNamesPaginator = client.get_paginator("get_active_names")
        get_blueprints_paginator: GetBlueprintsPaginator = client.get_paginator("get_blueprints")
        get_bundles_paginator: GetBundlesPaginator = client.get_paginator("get_bundles")
        get_cloud_formation_stack_records_paginator: GetCloudFormationStackRecordsPaginator = client.get_paginator("get_cloud_formation_stack_records")
        get_disk_snapshots_paginator: GetDiskSnapshotsPaginator = client.get_paginator("get_disk_snapshots")
        get_disks_paginator: GetDisksPaginator = client.get_paginator("get_disks")
        get_domains_paginator: GetDomainsPaginator = client.get_paginator("get_domains")
        get_export_snapshot_records_paginator: GetExportSnapshotRecordsPaginator = client.get_paginator("get_export_snapshot_records")
        get_instance_snapshots_paginator: GetInstanceSnapshotsPaginator = client.get_paginator("get_instance_snapshots")
        get_instances_paginator: GetInstancesPaginator = client.get_paginator("get_instances")
        get_key_pairs_paginator: GetKeyPairsPaginator = client.get_paginator("get_key_pairs")
        get_load_balancers_paginator: GetLoadBalancersPaginator = client.get_paginator("get_load_balancers")
        get_operations_paginator: GetOperationsPaginator = client.get_paginator("get_operations")
        get_relational_database_blueprints_paginator: GetRelationalDatabaseBlueprintsPaginator = client.get_paginator("get_relational_database_blueprints")
        get_relational_database_bundles_paginator: GetRelationalDatabaseBundlesPaginator = client.get_paginator("get_relational_database_bundles")
        get_relational_database_events_paginator: GetRelationalDatabaseEventsPaginator = client.get_paginator("get_relational_database_events")
        get_relational_database_parameters_paginator: GetRelationalDatabaseParametersPaginator = client.get_paginator("get_relational_database_parameters")
        get_relational_database_snapshots_paginator: GetRelationalDatabaseSnapshotsPaginator = client.get_paginator("get_relational_database_snapshots")
        get_relational_databases_paginator: GetRelationalDatabasesPaginator = client.get_paginator("get_relational_databases")
        get_static_ips_paginator: GetStaticIpsPaginator = client.get_paginator("get_static_ips")
    ```







### Literals

`types_aiobotocore_lightsail.literals` module contains literals extracted from shapes
that can be used in user code for type checking.

```python
from types_aiobotocore_lightsail.literals import (
    AccessDirectionType,
    AccessTypeType,
    AddOnTypeType,
    AlarmStateType,
    AutoSnapshotStatusType,
    BehaviorEnumType,
    BlueprintTypeType,
    BucketMetricNameType,
    CertificateStatusType,
    CloudFormationStackRecordSourceTypeType,
    ComparisonOperatorType,
    ContactMethodStatusType,
    ContactMethodVerificationProtocolType,
    ContactProtocolType,
    ContainerServiceDeploymentStateType,
    ContainerServiceMetricNameType,
    ContainerServicePowerNameType,
    ContainerServiceProtocolType,
    ContainerServiceStateDetailCodeType,
    ContainerServiceStateType,
    DiskSnapshotStateType,
    DiskStateType,
    DistributionMetricNameType,
    ExportSnapshotRecordSourceTypeType,
    ForwardValuesType,
    GetActiveNamesPaginatorName,
    GetBlueprintsPaginatorName,
    GetBundlesPaginatorName,
    GetCloudFormationStackRecordsPaginatorName,
    GetDiskSnapshotsPaginatorName,
    GetDisksPaginatorName,
    GetDomainsPaginatorName,
    GetExportSnapshotRecordsPaginatorName,
    GetInstanceSnapshotsPaginatorName,
    GetInstancesPaginatorName,
    GetKeyPairsPaginatorName,
    GetLoadBalancersPaginatorName,
    GetOperationsPaginatorName,
    GetRelationalDatabaseBlueprintsPaginatorName,
    GetRelationalDatabaseBundlesPaginatorName,
    GetRelationalDatabaseEventsPaginatorName,
    GetRelationalDatabaseParametersPaginatorName,
    GetRelationalDatabaseSnapshotsPaginatorName,
    GetRelationalDatabasesPaginatorName,
    GetStaticIpsPaginatorName,
    HeaderEnumType,
    InstanceAccessProtocolType,
    InstanceHealthReasonType,
    InstanceHealthStateType,
    InstanceMetricNameType,
    InstancePlatformType,
    InstanceSnapshotStateType,
    IpAddressTypeType,
    LoadBalancerAttributeNameType,
    LoadBalancerMetricNameType,
    LoadBalancerProtocolType,
    LoadBalancerStateType,
    LoadBalancerTlsCertificateDomainStatusType,
    LoadBalancerTlsCertificateFailureReasonType,
    LoadBalancerTlsCertificateRenewalStatusType,
    LoadBalancerTlsCertificateRevocationReasonType,
    LoadBalancerTlsCertificateStatusType,
    MetricNameType,
    MetricStatisticType,
    MetricUnitType,
    NetworkProtocolType,
    OperationStatusType,
    OperationTypeType,
    OriginProtocolPolicyEnumType,
    PortAccessTypeType,
    PortInfoSourceTypeType,
    PortStateType,
    RecordStateType,
    RegionNameType,
    RelationalDatabaseEngineType,
    RelationalDatabaseMetricNameType,
    RelationalDatabasePasswordVersionType,
    RenewalStatusType,
    ResourceBucketAccessType,
    ResourceTypeType,
    StatusTypeType,
    TreatMissingDataType,
    ServiceName,
    PaginatorName,
)

def check_value(value: AccessDirectionType) -> bool:
    ...
````

### Typed dictionaries

`types_aiobotocore_lightsail.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_lightsail.type_defs import (
    AccessKeyLastUsedTypeDef,
    AccessKeyTypeDef,
    AccessRulesTypeDef,
    AddOnRequestTypeDef,
    AddOnTypeDef,
    AlarmTypeDef,
    AllocateStaticIpRequestRequestTypeDef,
    AllocateStaticIpResultTypeDef,
    AttachCertificateToDistributionRequestRequestTypeDef,
    AttachCertificateToDistributionResultTypeDef,
    AttachDiskRequestRequestTypeDef,
    AttachDiskResultTypeDef,
    AttachInstancesToLoadBalancerRequestRequestTypeDef,
    AttachInstancesToLoadBalancerResultTypeDef,
    AttachLoadBalancerTlsCertificateRequestRequestTypeDef,
    AttachLoadBalancerTlsCertificateResultTypeDef,
    AttachStaticIpRequestRequestTypeDef,
    AttachStaticIpResultTypeDef,
    AttachedDiskTypeDef,
    AutoSnapshotAddOnRequestTypeDef,
    AutoSnapshotDetailsTypeDef,
    AvailabilityZoneTypeDef,
    BlueprintTypeDef,
    BucketAccessLogConfigTypeDef,
    BucketBundleTypeDef,
    BucketStateTypeDef,
    BucketTypeDef,
    BundleTypeDef,
    CacheBehaviorPerPathTypeDef,
    CacheBehaviorTypeDef,
    CacheSettingsTypeDef,
    CertificateSummaryTypeDef,
    CertificateTypeDef,
    CloseInstancePublicPortsRequestRequestTypeDef,
    CloseInstancePublicPortsResultTypeDef,
    CloudFormationStackRecordSourceInfoTypeDef,
    CloudFormationStackRecordTypeDef,
    ContactMethodTypeDef,
    ContainerImageTypeDef,
    ContainerServiceDeploymentRequestTypeDef,
    ContainerServiceDeploymentTypeDef,
    ContainerServiceEndpointTypeDef,
    ContainerServiceHealthCheckConfigTypeDef,
    ContainerServiceLogEventTypeDef,
    ContainerServicePowerTypeDef,
    ContainerServiceRegistryLoginTypeDef,
    ContainerServiceStateDetailTypeDef,
    ContainerServiceTypeDef,
    ContainerServicesListResultTypeDef,
    ContainerTypeDef,
    CookieObjectTypeDef,
    CopySnapshotRequestRequestTypeDef,
    CopySnapshotResultTypeDef,
    CreateBucketAccessKeyRequestRequestTypeDef,
    CreateBucketAccessKeyResultTypeDef,
    CreateBucketRequestRequestTypeDef,
    CreateBucketResultTypeDef,
    CreateCertificateRequestRequestTypeDef,
    CreateCertificateResultTypeDef,
    CreateCloudFormationStackRequestRequestTypeDef,
    CreateCloudFormationStackResultTypeDef,
    CreateContactMethodRequestRequestTypeDef,
    CreateContactMethodResultTypeDef,
    CreateContainerServiceDeploymentRequestRequestTypeDef,
    CreateContainerServiceDeploymentResultTypeDef,
    CreateContainerServiceRegistryLoginResultTypeDef,
    CreateContainerServiceRequestRequestTypeDef,
    CreateContainerServiceResultTypeDef,
    CreateDiskFromSnapshotRequestRequestTypeDef,
    CreateDiskFromSnapshotResultTypeDef,
    CreateDiskRequestRequestTypeDef,
    CreateDiskResultTypeDef,
    CreateDiskSnapshotRequestRequestTypeDef,
    CreateDiskSnapshotResultTypeDef,
    CreateDistributionRequestRequestTypeDef,
    CreateDistributionResultTypeDef,
    CreateDomainEntryRequestRequestTypeDef,
    CreateDomainEntryResultTypeDef,
    CreateDomainRequestRequestTypeDef,
    CreateDomainResultTypeDef,
    CreateInstanceSnapshotRequestRequestTypeDef,
    CreateInstanceSnapshotResultTypeDef,
    CreateInstancesFromSnapshotRequestRequestTypeDef,
    CreateInstancesFromSnapshotResultTypeDef,
    CreateInstancesRequestRequestTypeDef,
    CreateInstancesResultTypeDef,
    CreateKeyPairRequestRequestTypeDef,
    CreateKeyPairResultTypeDef,
    CreateLoadBalancerRequestRequestTypeDef,
    CreateLoadBalancerResultTypeDef,
    CreateLoadBalancerTlsCertificateRequestRequestTypeDef,
    CreateLoadBalancerTlsCertificateResultTypeDef,
    CreateRelationalDatabaseFromSnapshotRequestRequestTypeDef,
    CreateRelationalDatabaseFromSnapshotResultTypeDef,
    CreateRelationalDatabaseRequestRequestTypeDef,
    CreateRelationalDatabaseResultTypeDef,
    CreateRelationalDatabaseSnapshotRequestRequestTypeDef,
    CreateRelationalDatabaseSnapshotResultTypeDef,
    DeleteAlarmRequestRequestTypeDef,
    DeleteAlarmResultTypeDef,
    DeleteAutoSnapshotRequestRequestTypeDef,
    DeleteAutoSnapshotResultTypeDef,
    DeleteBucketAccessKeyRequestRequestTypeDef,
    DeleteBucketAccessKeyResultTypeDef,
    DeleteBucketRequestRequestTypeDef,
    DeleteBucketResultTypeDef,
    DeleteCertificateRequestRequestTypeDef,
    DeleteCertificateResultTypeDef,
    DeleteContactMethodRequestRequestTypeDef,
    DeleteContactMethodResultTypeDef,
    DeleteContainerImageRequestRequestTypeDef,
    DeleteContainerServiceRequestRequestTypeDef,
    DeleteDiskRequestRequestTypeDef,
    DeleteDiskResultTypeDef,
    DeleteDiskSnapshotRequestRequestTypeDef,
    DeleteDiskSnapshotResultTypeDef,
    DeleteDistributionRequestRequestTypeDef,
    DeleteDistributionResultTypeDef,
    DeleteDomainEntryRequestRequestTypeDef,
    DeleteDomainEntryResultTypeDef,
    DeleteDomainRequestRequestTypeDef,
    DeleteDomainResultTypeDef,
    DeleteInstanceRequestRequestTypeDef,
    DeleteInstanceResultTypeDef,
    DeleteInstanceSnapshotRequestRequestTypeDef,
    DeleteInstanceSnapshotResultTypeDef,
    DeleteKeyPairRequestRequestTypeDef,
    DeleteKeyPairResultTypeDef,
    DeleteKnownHostKeysRequestRequestTypeDef,
    DeleteKnownHostKeysResultTypeDef,
    DeleteLoadBalancerRequestRequestTypeDef,
    DeleteLoadBalancerResultTypeDef,
    DeleteLoadBalancerTlsCertificateRequestRequestTypeDef,
    DeleteLoadBalancerTlsCertificateResultTypeDef,
    DeleteRelationalDatabaseRequestRequestTypeDef,
    DeleteRelationalDatabaseResultTypeDef,
    DeleteRelationalDatabaseSnapshotRequestRequestTypeDef,
    DeleteRelationalDatabaseSnapshotResultTypeDef,
    DestinationInfoTypeDef,
    DetachCertificateFromDistributionRequestRequestTypeDef,
    DetachCertificateFromDistributionResultTypeDef,
    DetachDiskRequestRequestTypeDef,
    DetachDiskResultTypeDef,
    DetachInstancesFromLoadBalancerRequestRequestTypeDef,
    DetachInstancesFromLoadBalancerResultTypeDef,
    DetachStaticIpRequestRequestTypeDef,
    DetachStaticIpResultTypeDef,
    DisableAddOnRequestRequestTypeDef,
    DisableAddOnResultTypeDef,
    DiskInfoTypeDef,
    DiskMapTypeDef,
    DiskSnapshotInfoTypeDef,
    DiskSnapshotTypeDef,
    DiskTypeDef,
    DistributionBundleTypeDef,
    DomainEntryTypeDef,
    DomainTypeDef,
    DomainValidationRecordTypeDef,
    DownloadDefaultKeyPairResultTypeDef,
    EnableAddOnRequestRequestTypeDef,
    EnableAddOnResultTypeDef,
    EndpointRequestTypeDef,
    ExportSnapshotRecordSourceInfoTypeDef,
    ExportSnapshotRecordTypeDef,
    ExportSnapshotRequestRequestTypeDef,
    ExportSnapshotResultTypeDef,
    GetActiveNamesRequestRequestTypeDef,
    GetActiveNamesResultTypeDef,
    GetAlarmsRequestRequestTypeDef,
    GetAlarmsResultTypeDef,
    GetAutoSnapshotsRequestRequestTypeDef,
    GetAutoSnapshotsResultTypeDef,
    GetBlueprintsRequestRequestTypeDef,
    GetBlueprintsResultTypeDef,
    GetBucketAccessKeysRequestRequestTypeDef,
    GetBucketAccessKeysResultTypeDef,
    GetBucketBundlesRequestRequestTypeDef,
    GetBucketBundlesResultTypeDef,
    GetBucketMetricDataRequestRequestTypeDef,
    GetBucketMetricDataResultTypeDef,
    GetBucketsRequestRequestTypeDef,
    GetBucketsResultTypeDef,
    GetBundlesRequestRequestTypeDef,
    GetBundlesResultTypeDef,
    GetCertificatesRequestRequestTypeDef,
    GetCertificatesResultTypeDef,
    GetCloudFormationStackRecordsRequestRequestTypeDef,
    GetCloudFormationStackRecordsResultTypeDef,
    GetContactMethodsRequestRequestTypeDef,
    GetContactMethodsResultTypeDef,
    GetContainerAPIMetadataResultTypeDef,
    GetContainerImagesRequestRequestTypeDef,
    GetContainerImagesResultTypeDef,
    GetContainerLogRequestRequestTypeDef,
    GetContainerLogResultTypeDef,
    GetContainerServiceDeploymentsRequestRequestTypeDef,
    GetContainerServiceDeploymentsResultTypeDef,
    GetContainerServiceMetricDataRequestRequestTypeDef,
    GetContainerServiceMetricDataResultTypeDef,
    GetContainerServicePowersResultTypeDef,
    GetContainerServicesRequestRequestTypeDef,
    GetDiskRequestRequestTypeDef,
    GetDiskResultTypeDef,
    GetDiskSnapshotRequestRequestTypeDef,
    GetDiskSnapshotResultTypeDef,
    GetDiskSnapshotsRequestRequestTypeDef,
    GetDiskSnapshotsResultTypeDef,
    GetDisksRequestRequestTypeDef,
    GetDisksResultTypeDef,
    GetDistributionBundlesResultTypeDef,
    GetDistributionLatestCacheResetRequestRequestTypeDef,
    GetDistributionLatestCacheResetResultTypeDef,
    GetDistributionMetricDataRequestRequestTypeDef,
    GetDistributionMetricDataResultTypeDef,
    GetDistributionsRequestRequestTypeDef,
    GetDistributionsResultTypeDef,
    GetDomainRequestRequestTypeDef,
    GetDomainResultTypeDef,
    GetDomainsRequestRequestTypeDef,
    GetDomainsResultTypeDef,
    GetExportSnapshotRecordsRequestRequestTypeDef,
    GetExportSnapshotRecordsResultTypeDef,
    GetInstanceAccessDetailsRequestRequestTypeDef,
    GetInstanceAccessDetailsResultTypeDef,
    GetInstanceMetricDataRequestRequestTypeDef,
    GetInstanceMetricDataResultTypeDef,
    GetInstancePortStatesRequestRequestTypeDef,
    GetInstancePortStatesResultTypeDef,
    GetInstanceRequestRequestTypeDef,
    GetInstanceResultTypeDef,
    GetInstanceSnapshotRequestRequestTypeDef,
    GetInstanceSnapshotResultTypeDef,
    GetInstanceSnapshotsRequestRequestTypeDef,
    GetInstanceSnapshotsResultTypeDef,
    GetInstanceStateRequestRequestTypeDef,
    GetInstanceStateResultTypeDef,
    GetInstancesRequestRequestTypeDef,
    GetInstancesResultTypeDef,
    GetKeyPairRequestRequestTypeDef,
    GetKeyPairResultTypeDef,
    GetKeyPairsRequestRequestTypeDef,
    GetKeyPairsResultTypeDef,
    GetLoadBalancerMetricDataRequestRequestTypeDef,
    GetLoadBalancerMetricDataResultTypeDef,
    GetLoadBalancerRequestRequestTypeDef,
    GetLoadBalancerResultTypeDef,
    GetLoadBalancerTlsCertificatesRequestRequestTypeDef,
    GetLoadBalancerTlsCertificatesResultTypeDef,
    GetLoadBalancersRequestRequestTypeDef,
    GetLoadBalancersResultTypeDef,
    GetOperationRequestRequestTypeDef,
    GetOperationResultTypeDef,
    GetOperationsForResourceRequestRequestTypeDef,
    GetOperationsForResourceResultTypeDef,
    GetOperationsRequestRequestTypeDef,
    GetOperationsResultTypeDef,
    GetRegionsRequestRequestTypeDef,
    GetRegionsResultTypeDef,
    GetRelationalDatabaseBlueprintsRequestRequestTypeDef,
    GetRelationalDatabaseBlueprintsResultTypeDef,
    GetRelationalDatabaseBundlesRequestRequestTypeDef,
    GetRelationalDatabaseBundlesResultTypeDef,
    GetRelationalDatabaseEventsRequestRequestTypeDef,
    GetRelationalDatabaseEventsResultTypeDef,
    GetRelationalDatabaseLogEventsRequestRequestTypeDef,
    GetRelationalDatabaseLogEventsResultTypeDef,
    GetRelationalDatabaseLogStreamsRequestRequestTypeDef,
    GetRelationalDatabaseLogStreamsResultTypeDef,
    GetRelationalDatabaseMasterUserPasswordRequestRequestTypeDef,
    GetRelationalDatabaseMasterUserPasswordResultTypeDef,
    GetRelationalDatabaseMetricDataRequestRequestTypeDef,
    GetRelationalDatabaseMetricDataResultTypeDef,
    GetRelationalDatabaseParametersRequestRequestTypeDef,
    GetRelationalDatabaseParametersResultTypeDef,
    GetRelationalDatabaseRequestRequestTypeDef,
    GetRelationalDatabaseResultTypeDef,
    GetRelationalDatabaseSnapshotRequestRequestTypeDef,
    GetRelationalDatabaseSnapshotResultTypeDef,
    GetRelationalDatabaseSnapshotsRequestRequestTypeDef,
    GetRelationalDatabaseSnapshotsResultTypeDef,
    GetRelationalDatabasesRequestRequestTypeDef,
    GetRelationalDatabasesResultTypeDef,
    GetStaticIpRequestRequestTypeDef,
    GetStaticIpResultTypeDef,
    GetStaticIpsRequestRequestTypeDef,
    GetStaticIpsResultTypeDef,
    HeaderObjectTypeDef,
    HostKeyAttributesTypeDef,
    ImportKeyPairRequestRequestTypeDef,
    ImportKeyPairResultTypeDef,
    InputOriginTypeDef,
    InstanceAccessDetailsTypeDef,
    InstanceEntryTypeDef,
    InstanceHardwareTypeDef,
    InstanceHealthSummaryTypeDef,
    InstanceNetworkingTypeDef,
    InstancePortInfoTypeDef,
    InstancePortStateTypeDef,
    InstanceSnapshotInfoTypeDef,
    InstanceSnapshotTypeDef,
    InstanceStateTypeDef,
    InstanceTypeDef,
    IsVpcPeeredResultTypeDef,
    KeyPairTypeDef,
    LightsailDistributionTypeDef,
    LoadBalancerTlsCertificateDomainValidationOptionTypeDef,
    LoadBalancerTlsCertificateDomainValidationRecordTypeDef,
    LoadBalancerTlsCertificateRenewalSummaryTypeDef,
    LoadBalancerTlsCertificateSummaryTypeDef,
    LoadBalancerTlsCertificateTypeDef,
    LoadBalancerTypeDef,
    LogEventTypeDef,
    MetricDatapointTypeDef,
    MonitoredResourceInfoTypeDef,
    MonthlyTransferTypeDef,
    OpenInstancePublicPortsRequestRequestTypeDef,
    OpenInstancePublicPortsResultTypeDef,
    OperationTypeDef,
    OriginTypeDef,
    PaginatorConfigTypeDef,
    PasswordDataTypeDef,
    PeerVpcResultTypeDef,
    PendingMaintenanceActionTypeDef,
    PendingModifiedRelationalDatabaseValuesTypeDef,
    PortInfoTypeDef,
    PutAlarmRequestRequestTypeDef,
    PutAlarmResultTypeDef,
    PutInstancePublicPortsRequestRequestTypeDef,
    PutInstancePublicPortsResultTypeDef,
    QueryStringObjectTypeDef,
    RebootInstanceRequestRequestTypeDef,
    RebootInstanceResultTypeDef,
    RebootRelationalDatabaseRequestRequestTypeDef,
    RebootRelationalDatabaseResultTypeDef,
    RegionTypeDef,
    RegisterContainerImageRequestRequestTypeDef,
    RegisterContainerImageResultTypeDef,
    RelationalDatabaseBlueprintTypeDef,
    RelationalDatabaseBundleTypeDef,
    RelationalDatabaseEndpointTypeDef,
    RelationalDatabaseEventTypeDef,
    RelationalDatabaseHardwareTypeDef,
    RelationalDatabaseParameterTypeDef,
    RelationalDatabaseSnapshotTypeDef,
    RelationalDatabaseTypeDef,
    ReleaseStaticIpRequestRequestTypeDef,
    ReleaseStaticIpResultTypeDef,
    RenewalSummaryTypeDef,
    ResetDistributionCacheRequestRequestTypeDef,
    ResetDistributionCacheResultTypeDef,
    ResourceLocationTypeDef,
    ResourceReceivingAccessTypeDef,
    ResourceRecordTypeDef,
    ResponseMetadataTypeDef,
    SendContactMethodVerificationRequestRequestTypeDef,
    SendContactMethodVerificationResultTypeDef,
    SetIpAddressTypeRequestRequestTypeDef,
    SetIpAddressTypeResultTypeDef,
    SetResourceAccessForBucketRequestRequestTypeDef,
    SetResourceAccessForBucketResultTypeDef,
    StartInstanceRequestRequestTypeDef,
    StartInstanceResultTypeDef,
    StartRelationalDatabaseRequestRequestTypeDef,
    StartRelationalDatabaseResultTypeDef,
    StaticIpTypeDef,
    StopInstanceRequestRequestTypeDef,
    StopInstanceResultTypeDef,
    StopRelationalDatabaseRequestRequestTypeDef,
    StopRelationalDatabaseResultTypeDef,
    TagResourceRequestRequestTypeDef,
    TagResourceResultTypeDef,
    TagTypeDef,
    TestAlarmRequestRequestTypeDef,
    TestAlarmResultTypeDef,
    UnpeerVpcResultTypeDef,
    UntagResourceRequestRequestTypeDef,
    UntagResourceResultTypeDef,
    UpdateBucketBundleRequestRequestTypeDef,
    UpdateBucketBundleResultTypeDef,
    UpdateBucketRequestRequestTypeDef,
    UpdateBucketResultTypeDef,
    UpdateContainerServiceRequestRequestTypeDef,
    UpdateContainerServiceResultTypeDef,
    UpdateDistributionBundleRequestRequestTypeDef,
    UpdateDistributionBundleResultTypeDef,
    UpdateDistributionRequestRequestTypeDef,
    UpdateDistributionResultTypeDef,
    UpdateDomainEntryRequestRequestTypeDef,
    UpdateDomainEntryResultTypeDef,
    UpdateLoadBalancerAttributeRequestRequestTypeDef,
    UpdateLoadBalancerAttributeResultTypeDef,
    UpdateRelationalDatabaseParametersRequestRequestTypeDef,
    UpdateRelationalDatabaseParametersResultTypeDef,
    UpdateRelationalDatabaseRequestRequestTypeDef,
    UpdateRelationalDatabaseResultTypeDef,
)

def get_structure() -> AccessKeyLastUsedTypeDef:
    return {
      ...
    }
```

## How it works

Fully automated
[mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder) carefully
generates type annotations for each service, patiently waiting for
`aiobotocore` updates. It delivers a drop-in type annotations for you and makes
sure that:

- All available `aiobotocore` services are covered.
- Each public class and method of every `aiobotocore` service gets valid type
  annotations extracted from the documentation (blame `botocore` docs if types
  are incorrect).
- Type annotations include up-to-date documentation.
- Link to documentation is provided for every method.
- Code is processed by [black](https://github.com/psf/black) and
  [isort](https://github.com/PyCQA/isort) for readability.

## What's new

### Implemented features

- Fully type annotated `boto3`, `botocore` and `aiobotocore` libraries
- `mypy`, `pyright`, `VSCode`, `PyCharm`, `Sublime Text` and `Emacs`
  compatibility
- `Client`, `ServiceResource`, `Resource`, `Waiter` `Paginator` type
  annotations for each service
- Generated `TypeDefs` for each service
- Generated `Literals` for each service
- Auto discovery of types for `boto3.client` and `boto3.session` calls
- Auto discovery of types for `session.client` and `session.session` calls
- Auto discovery of types for `client.get_waiter` and `client.get_paginator`
  calls
- Auto discovery of types for `ServiceResource` and `Resource` collections
- Auto discovery of types for `aiobotocore.Session.create_client` calls

### Latest changes

Builder changelog can be found in
[Releases](https://github.com/vemel/mypy_boto3_builder/releases).

## Versioning

`types-aiobotocore-lightsail` version is the same as related `aiobotocore`
version and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/)
format.

## Thank you

- [Allie Fitter](https://github.com/alliefitter) for
  [boto3-type-annotations](https://pypi.org/project/boto3-type-annotations/),
  this package is based on top of his work
- [black](https://github.com/psf/black) developers for an awesome formatting
  tool
- [Timothy Edmund Crosley](https://github.com/timothycrosley) for
  [isort](https://github.com/PyCQA/isort) and how flexible it is
- [mypy](https://github.com/python/mypy) developers for doing all dirty work
  for us
- [pyright](https://github.com/microsoft/pyright) team for the new era of typed
  Python

## Documentation

All services type annotations can be found in
[aiobotocore docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_lightsail/)

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
